#!/bin/sh

. /usr/lib/tuned/functions

X_PID=$(pidof X)
gnomeshell_PID=$(pidof gnome-shell)

start() {
    renice -19 $X_PID
    renice -19 $gnomeshell_PID

    return "$?"
}

stop() {
    if [ "$1" = "full_rollback" ]
    then
        renice 0 $X_PID
        renice 0 $gnomeshell_PID
    fi

    return "$?"
}

process $@

